---
schema_version: "1"
id: eab4acb55bc7b89a8660238a8170f5809c8733b469f6fbe13f5f0ae430e3e636
title: Retail and Restaurant POS API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/loyalty/references/generated-api-specs/loyalty_unlocked_api.md
canonical_url: https://developer.salesforce.com/docs/industries/loyalty/references/loyalty_unlocked_api
source_site: developer.salesforce.com
content_type: documentation
content_hash: 893e4d6ebc1ab435fc05f389ce0c1fbac7882934871067d79915ef29f825f0a3
products:
  - Loyalty Management Integrations API
  - Industries Integrations
---
Retail and Restaurant POS API

# Retail and Restaurant POS API

Integrate your product with point-of-sale systems, and help businesses streamline their processes. Use this API to enroll members to loyalty programs, search members, apply vouchers, and checkout items from cart.

**Version:** v1

Protocols: https.

## Operations

### POST Enroll member to loyalty program

`POST /members`

Enrolls a member to the Loyalty program.

#### Parameters

*   `Authorization` (header, string, required) Access token, which is used to make requests to secure resources.

#### Request body

Media type: `application/json`. Schema: `member-enrollment-request`.

_Example_

```
enrollmentDate: 2021-01-01T00:00:00
membershipNumber: Member1
associatedContactDetails:
  firstName: Name1
  lastName: Name2
  email: ab@email.com
  allowDuplicateRecords: "false"
  additionalContactFieldValues:
    attributes:
      PersonMailingCity: Delhi
      CustomNumber__c: "20.0"
memberStatus: Active
referredBy: Member2
referredByMemberReferralCode: MPX12adf
createTransactionJournals: "true"
transactionJournalStatementFrequency: Monthly
transactionJournalStatementMethod: Mail
enrollmentChannel: Email
canReceivePromotions: "true"
canReceivePartnerPromotions: "true"
membershipEndDate: 2022-01-01T00:00:00
relatedCorporateMembershipNumber: Member3
additionalMemberFieldValues:
  attributes:
    CustomBoolean__c: "true"
    posName__c: RetailAndEcommerce
    posMemMobile__c: 123456
    posMemId__c: 1234567
    posOrderCount__c: "10"
```

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `contactId` (_string_, required) The contactId generated in Salesforce.
    *   `loyaltyProgramMemberId` (_string_, required) Members ID generated while enrolling in the program.
    *   `loyaltyProgramName` (_string_, required) Name of the loyalty program.
    *   `membershipNumber` (_string_, required) Membership number provided by the POS.
    *   `transactionJournals` (_array of object_, required)  
        Minimum items: 0.
        *   `activityDate` (_datetime_, required) Timestamp of the transaction.
        *   `journalSubType` (_string_, required) The sub type of the journal.
        *   `loyaltyProgram` (_string_, required) Name of the loyatly program corresponding to the transaction
        *   `loyaltyProgramMember` (_string_, required) The POS provided memebership ID associated with the member.
        *   `referredMember` (_boolean | any_, required) Value indicating if the member is referred or not.
            
            One of: `boolean`, `any`.
            
        *   `status` (_string_, required) Stratus of the transaction.
        *   `transactionJournalId` (_string_, required) The Id of the transaction journal.
    
    _Example_
    
    ```
    contactId: 003Dn00000OVHwc
    loyaltyProgramMemberId: 0lMDn000001qkDa
    loyaltyProgramName: NTO Insider
    membershipNumber: Member 1
    transactionJournals:
      -
        activityDate: 2023-09-01T17:30:34.000Z
        journalSubType: Member Enrollment
        journalType: Accrual
        loyaltyProgram: Cloud Kicks Inner Circle
        loyaltyProgramMember: SANEUSER1234
        referredMember: null
        status: Pending
        transactionJournalId: 0lV1Q0000008PXM
    ```
    
*   **400** Bad Request
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **405** Method Not Allowed
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **415** Un supported media type
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    

### GET Retrieve member profile details

`GET /members`

Retrieves member details based on the membershipNumber, membershipId, or posMemId properties.

#### Parameters

*   `membershipNumber` (query, string) Specifies the membership number of the loyalty program member.
*   `memberId` (query, string) Specifies the ID of the loyalty program member.
*   `posMemId` (query, string) Specifies the ID of the member in the Point of Sale (POS).
*   `Authorization` (header, string, required) Access token, which is used to make requests to secure resources.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `additionalLoyaltyProgramMemberFields` (_object_, required)
        *   `posMemId__c` (_string_, required) Membership ID as specified by POS.
        *   `City__c` (_string | any_, required) Member's city of residence.
            
            One of: `string`, `any`.
            
        *   `Age__c` (_number | any_, required) The age of the member
            
            One of: `number`, `any`.
            
        *   `Anniversary__c` (_date-only | any_, required) The date of anniversary.
            
            One of: `date-only`, `any`.
            
        *   `posName__c` (_string_, required) The name of the POS.
        *   `DateOfBirth__c` (_date-only | any_, required) Date of Birth of the member enrolled.
            
            One of: `date-only`, `any`.
            
        *   `posOrderCount__c` (_number_, required) Number of orders placed at POS.
        *   `Gender__c` (_string | any_, required) Members gender.
            
            One of: `string`, `any`.
            
        *   `SeedData__c` (_boolean | any_, required) Boolean valud indicating if its a seed data.
            
            One of: `boolean`, `any`.
            
        *   `posMemMobile__c` (_string_, required) Mobile number of the member.
    *   `associatedAccount` (_string | any_, required) The associated accounts.
        
        One of: `string`, `any`.
        
    *   `associatedContact` (_object_, required)
        *   `contactId` (_string_, required) The ID of the contact in Salesforce.
        *   `email` (_string_, required) Email ID of the contact associated.
        *   `firstName` (_string_, required) First Name of the contact.
        *   `lastName` (_string_, required) Last Name of the contact.
    *   `canReceivePartnerPromotions` (_boolean | any_, required) Boolean value indicating if member opts for partner promotional communication.
        
        One of: `boolean`, `any`.
        
    *   `canReceivePromotions` (_boolean | any_, required) Boolean value indicating whether the member wants to receive promotionla communication.
        
        One of: `boolean`, `any`.
        
    *   `enrollmentChannel` (_string_, required) The channel that was used to enroll the member.
    *   `enrollmentDate` (_date-only_, required) The date member was enrolled.
    *   `groupCreatedByMember` (_string | any_, required) The group created by the member.
        
        One of: `string`, `any`.
        
    *   `groupName` (_string | any_, required) The name of the group.
        
        One of: `string`, `any`.
        
    *   `lastActivityDate` (_date-only | any_, required) The date when last activity was performed.
        
        One of: `date-only`, `any`.
        
    *   `loyaltyProgramMemberId` (_string_, required) The Id of member in Salesforce.
    *   `loyaltyProgramName` (_string_, required) The name of the loyalty program.
    *   `memberCurrencies` (_array of object_, required) The details of member currency.
        *   `additionalLoyaltyMemberCurrencyFields` (_object_, required) additionalLoyaltyMemberCurrencyFields
        *   `escrowPointsBalance` (_number_, required) The escrow points balance.
        *   `expirablePoints` (_number_, required) The expirable points.
        *   `lastAccrualProcessedDate` (_string | any_, required) The lastAccrualProcessed date.
            
            One of: `string`, `any`.
            
        *   `lastEscrowProcessedDate` (_datetime | any_, required) The last escrow processed date.
            
            One of: `datetime`, `any`.
            
        *   `lastExpirationProcessRunDate` (_datetime | any_, required) The last expiration process run date.
            
            One of: `datetime`, `any`.
            
        *   `lastPointsAggregationDate` (_datetime | any_, required) The last point aggregation date
            
            One of: `datetime`, `any`.
            
        *   `lastPointsResetDate` (_date-only | any_, required) The date when points were last reset.
            
            One of: `date-only`, `any`.
            
        *   `loyaltyMemberCurrencyName` (_string_, required) The name of currency applicatble for the loyalty member
        *   `loyaltyProgramCurrencyId` (_string_, required) The Id in Salesforce associated with the currency.
        *   `loyaltyProgramCurrencyName` (_string | any_, required) The curreny name applicable to the loyalty program.
            
            One of: `string`, `any`.
            
        *   `memberCurrencyId` (_string_, required) The member currency Id.
        *   `nextQualifyingPointsResetDate` (_string | any_, required) The next qualifying points reset date.
            
            One of: `string`, `any`.
            
        *   `pointsBalance` (_number_, required) The points balance.
        *   `qualifyingPointsBalanceBeforeReset` (_number_, required) The qualifying points balance before reset.
        *   `totalEscrowPointsAccrued` (_number_, required) The total escrow points accrued.
        *   `totalEscrowRolloverPoints` (_number_, required) The total escrow points that can be rolled over.
        *   `totalPointsAccrued` (_number_, required) The total number of points accrued.
        *   `totalPointsExpired` (_number_, required) The number of points expired.
        *   `totalPointsRedeemed` (_number_, required) The number of points redeemed.
    *   `memberStatus` (_string_, required) Status of the member.
    *   `memberTiers` (_array of object_, required)
        *   `additionalLoyaltyMemberTierFields` (_object_, required) The additional fields applicable for LoyaltyMember
        *   `areTierBenefitsAssigned` (_boolean_, required) Indicates if tier benefits are assigned.
        *   `loyaltyMemberTierId` (_string_, required) The tier ID of the loyalty member in Salesforce.
        *   `loyaltyMemberTierName` (_string_, required) The tier name assigned to the loyalty member's membership.
        *   `tierChangeReason` (_string | any_, required) The reason for tier change.
            
            One of: `string`, `any`.
            
        *   `tierChangeReasonType` (_string | any_, required) The reason type for tier change.
            
            One of: `string`, `any`.
            
        *   `tierEffectiveDate` (_date-only_, required) The date from which change in tier is effective.
        *   `tierExpirationDate` (_date-only | any_, required) The expiration date of the tier.
            
            One of: `date-only`, `any`.
            
        *   `tierGroupId` (_string_, required) The Salesforce ID associated with the tier group.
        *   `tierGroupName` (_string | any_, required) The name of the tier group.
            
            One of: `string`, `any`.
            
        *   `tierId` (_string_, required) The Salesforce Id associated with the tier.
        *   `tierSequenceNumber` (_number_, required) The sequence number of the tier.
    *   `memberType` (_string_, required) The member type
    *   `membershipEndDate` (_date-only_, required) The date when membership ends.
    *   `membershipLastRenewalDate` (_date-only | any_, required) The last date when membership was renewed.
        
        One of: `date-only`, `any`.
        
    *   `membershipNumber` (_string_, required) The membership number.
    *   `referredBy` (_string | any_, required) The individual who referred.
        
        One of: `string`, `any`.
        
    *   `relatedCorporateMembershipNumber` (_string | any_, required) The related corporate membership number.
        
        One of: `string`, `any`.
        
    *   `transactionJournalStatementFrequency` (_string | any_, required) The frequency at which the statment should be sent to the member.
        
        One of: `string`, `any`.
        
    *   `transactionJournalStatementLastGeneratedDate` (_string | any_, required) The last generated date of the statement.
        
        One of: `string`, `any`.
        
    *   `transactionJournalStatementMethod` (_string | any_, required) The transaction journal statement method.
        
        One of: `string`, `any`.
        
    
    _Example_
    
    ```
    additionalLoyaltyProgramMemberFields:
      posMemId__c: "675424"
      City__c: null
      Age__c: null
      Anniversary__c: null
      posName__c: TestPOSName
      DateOfBirth__c: null
      posOrderCount__c: 10.0
      Gender__c: null
      SeedData__c: false
      posMemMobile__c: "1234567890"
    associatedAccount: null
    associatedContact:
      contactId: 003Dn00000OWs1yIAD
      email: abc@email.com
      firstName: Daisy
      lastName: Deeds
    canReceivePartnerPromotions: true
    canReceivePromotions: true
    enrollmentChannel: Email
    enrollmentDate: 2023-06-01
    groupCreatedByMember: null
    groupName: null
    lastActivityDate: null
    loyaltyProgramMemberId: 0lMDn000001qkTHMAY
    loyaltyProgramName: NTO Insider
    memberCurrencies:
      -
        additionalLoyaltyMemberCurrencyFields: {}
        escrowPointsBalance: 0.0
        expirablePoints: 0.0
        lastAccrualProcessedDate: 2023-06-05T14:21:42.000Z
        lastEscrowProcessedDate: null
        lastExpirationProcessRunDate: null
        lastPointsAggregationDate: null
        lastPointsResetDate: null
        loyaltyMemberCurrencyName: NQP Currency test
        loyaltyProgramCurrencyId: 0lcDn0000000JUBIA2
        loyaltyProgramCurrencyName: null
        memberCurrencyId: 0lzDn000003H3VOIA0
        nextQualifyingPointsResetDate: null
        pointsBalance: 50.0
        qualifyingPointsBalanceBeforeReset: 0.0
        totalEscrowPointsAccrued: 0.0
        totalEscrowRolloverPoints: 0.0
        totalPointsAccrued: 50.0
        totalPointsExpired: 0.0
        totalPointsRedeemed: 0.0
      -
        additionalLoyaltyMemberCurrencyFields: {}
        escrowPointsBalance: 0.0
        expirablePoints: 0.0
        lastAccrualProcessedDate: null
        lastEscrowProcessedDate: null
        lastExpirationProcessRunDate: null
        lastPointsAggregationDate: null
        lastPointsResetDate: null
        loyaltyMemberCurrencyName: QP Currency
        loyaltyProgramCurrencyId: 0lcDn0000000JUCIA2
        loyaltyProgramCurrencyName: null
        memberCurrencyId: 0lzDn000003H3VPIA0
        nextQualifyingPointsResetDate: 2024-03-15
        pointsBalance: 0.0
        qualifyingPointsBalanceBeforeReset: 0.0
        totalEscrowPointsAccrued: 0.0
        totalEscrowRolloverPoints: 0.0
        totalPointsAccrued: 0.0
        totalPointsExpired: 0.0
        totalPointsRedeemed: 0.0
    memberStatus: Active
    memberTiers:
      -
        additionalLoyaltyMemberTierFields: {}
        areTierBenefitsAssigned: false
        loyaltyMemberTierId: 0lyDn000001yfVBIAY
        loyaltyMemberTierName: Gold
        tierChangeReason: null
        tierChangeReasonType: null
        tierEffectiveDate: 2023-06-01
        tierExpirationDate: null
        tierGroupId: 0ltDn0000000JiWIAU
        tierGroupName: null
        tierId: 0lgDn0000000JY8IAM
        tierSequenceNumber: 1
    memberType: Individual
    membershipEndDate: 2024-01-01
    membershipLastRenewalDate: null
    membershipNumber: Member111459889
    referredBy: null
    relatedCorporateMembershipNumber: null
    transactionJournalStatementFrequency: Monthly
    transactionJournalStatementLastGeneratedDate: null
    transactionJournalStatementMethod: Mail
    ```
    
*   **400** Bad Request
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **405** Method Not Allowed
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **415** Un supported media type
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    

### GET Retrieve voucher details

`GET /members/{membershipNumber}/vouchers`

Retrieves voucher details based on the voucherStatus, productId, productName, productCategoryId, and productCategoryName properties. If there’s no search query parameter, this API retrieves all the vouchers.

#### Parameters

*   `membershipNumber` (path, string, required) Unique identifier of the member whose vouchers are being retrieved.
*   `voucherStatus` (query, string) Specifies the status of the voucher.
*   `productId` (query, string) The ID of the product associated with the voucher definition.
*   `productName` (query, string) The type of voucher issued to the member.
*   `productCategoryId` (query, string) The ID of product category associated with the voucher definition.
*   `productCategoryName` (query, string) The name of the product category associated with the voucher definition.
*   `pageNumber` (query, string) The page number to be returned. If you don’t specify a value, the first page is returned. Each page contains 200 vouchers, sorted by their date of creation.
*   `Authorization` (header, string, required) Access token, which is used to make requests to secure resources.

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `voucherCount` (_number_, required) Total number of vouchers available for the member.
    *   `vouchers` (_array of object_, required)  
        Minimum items: 0.
        *   `effectiveDate` (_date-only_, required) The date from which the voucher is effective.
        *   `expirationDate` (_date-only_, required) The date until which the voucher is valid.
        *   `faceValue` (_number_) The value of the voucher.
        *   `isVoucherDefinitionActive` (_boolean_, required) Indicates if the definition of the voucher is active.
        *   `status` (_string_, required) Status of the voucher
        *   `type` (_string_, required) The type of the voucher.
        *   `voucherCode` (_string_, required) The voucher code.
        *   `voucherId` (_string_, required) The ID associated with the voucher.
        *   `voucherNumber` (_string_, required) The voucher number.
    
    _Example_
    
    ```
    voucherCount: 3
    vouchers:
      -
        effectiveDate: 2023-06-12
        expirationDate: 2023-09-12
        faceValue: 200.0
        isVoucherDefinitionActive: true
        isVoucherPartiallyRedeemable: false
        status: Issued
        type: FixedValue
        voucherCode: TestFixed
        voucherDefinition: Fixed OneTimeUse Vouchers
        voucherId: 0kDDn0000022pHOMAY
        voucherNumber: "00000026"
      -
        discountPercent: 20
        effectiveDate: 2023-06-12
        expirationDate: 2023-09-12
        isVoucherDefinitionActive: true
        isVoucherPartiallyRedeemable: false
        productId: 01tDn000004z9R7IAI
        productName: Checked Silk Tie
        status: Issued
        type: DiscountPercentage
        voucherCode: TestDiscount
        voucherDefinition: DiscountProductVouchers
        voucherId: 0kDDn0000022pHPMAY
        voucherNumber: "00000028"
      -
        effectiveDate: 2023-06-12
        expirationDate: 2023-09-12
        faceValue: 200.0
        isVoucherDefinitionActive: true
        isVoucherPartiallyRedeemable: false
        status: Issued
        type: FixedValue
        voucherCode: TestPartial
        voucherDefinition: Partial Redeemable Voucher Definiton
        voucherId: 0kDDn0000022pHTMAY
        voucherNumber: "00000027"
    ```
    
*   **400** Bad Request
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **405** Method Not Allowed
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **415** Un supported media type
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    

### POST Create orders

`POST /orders`

Creates accrual and redemption orders

#### Parameters

*   `Authorization` (header, string, required) Access token, which is used to make requests to secure resources.

#### Request body

Media type: `application/json`. Schema: `orders`.

_Example_

```
requestType: placeOrder
newExternalTransactionNumber: "8888"
isOrderFinalCancellation: true
currencyName: Reward Points
redemptionJournalId: ""
order:
  loyaltyProgramName: NTO Insider
  membershipNumber: deh9GiaYSgvBcX1YT30UJMOb7L
  id: 1073459966
  admin_graphql_api_id: gid://retailandecommerce/Order/1073459966
  app_id: 755357713
  browser_ip: null
  buyer_accepts_marketing: false
  cancel_reason: null
  cancelled_at: null
  cart_token: null
  checkout_id: null
  checkout_token: null
  client_details: null
  closed_at: null
  confirmed: true
  contact_email: null
  created_at: 2023-04-24T14:19:30-04:00
  currency: EUR
  pointsRedemption:
    points: 30
    additionalNotes: Testing
    programCurrencyName: Reward Points
  current_subtotal_price: "224.97"
  current_subtotal_price_set:
    shop_money:
      amount: "224.97"
      currency_code: EUR
    presentment_money:
      amount: "224.97"
      currency_code: EUR
  current_total_additional_fees_set: null
  current_total_discounts: "0.00"
  current_total_discounts_set:
    shop_money:
      amount: "0.00"
      currency_code: EUR
    presentment_money:
      amount: "0.00"
      currency_code: EUR
  current_total_duties_set: null
  current_total_price: "238.47"
  current_total_price_set:
    shop_money:
      amount: "238.47"
      currency_code: EUR
    presentment_money:
      amount: "238.47"
      currency_code: EUR
  current_total_tax: "13.50"
  current_total_tax_set:
    shop_money:
      amount: "13.50"
      currency_code: EUR
    presentment_money:
      amount: "13.50"
      currency_code: EUR
  customer_locale: null
  device_id: null
  discount_codes:
    -
      voucherCode: one20
      redeemAmount: 20
  email: ""
  estimated_taxes: false
  financial_status: paid
  fulfillment_status: null
  landing_site: null
  landing_site_ref: null
  location_id: null
  merchant_of_record_app_id: null
  name: "#1002"
  note: null
  note_attributes: []
  number: 2
  order_number: 1002
  order_status_url: https://jsmith.retailandecommerce.com/548380009/orders/f20dce2f40beaba28ec8c091f94876ce/authenticate?key=07bb8a7c94be78901e2938cfb217ebbd
  original_total_additional_fees_set: null
  original_total_duties_set: null
  payment_gateway_names: []
  phone: null
  presentment_currency: EUR
  processed_at: 2023-04-24T14:19:30-04:00
  reference: null
  referring_site: null
  source_identifier: null
  source_name: "755357713"
  source_url: null
  subtotal_price: "224.97"
  subtotal_price_set:
    shop_money:
      amount: "224.97"
      currency_code: EUR
    presentment_money:
      amount: "224.97"
      currency_code: EUR
  tags: ""
  tax_lines:
    -
      price: "13.50"
      rate: 0.06
      title: State tax
      price_set:
        shop_money:
          amount: "13.50"
          currency_code: EUR
        presentment_money:
          amount: "13.50"
          currency_code: EUR
      channel_liable: null
  taxes_included: false
  test: false
  token: f20dce2f40beaba28ec8c091f94876ce
  total_discounts: "0.00"
  total_discounts_set:
    shop_money:
      amount: "0.00"
      currency_code: EUR
    presentment_money:
      amount: "0.00"
      currency_code: EUR
  total_line_items_price: "224.97"
  total_line_items_price_set:
    shop_money:
      amount: "224.97"
      currency_code: EUR
    presentment_money:
      amount: "224.97"
      currency_code: EUR
  total_outstanding: "0.00"
  total_price: "238.47"
  total_price_set:
    shop_money:
      amount: "238.47"
      currency_code: EUR
    presentment_money:
      amount: "238.47"
      currency_code: EUR
  total_shipping_price_set:
    shop_money:
      amount: "0.00"
      currency_code: EUR
    presentment_money:
      amount: "0.00"
      currency_code: EUR
  total_tax: "13.50"
  total_tax_set:
    shop_money:
      amount: "13.50"
      currency_code: EUR
    presentment_money:
      amount: "13.50"
      currency_code: EUR
  total_tip_received: "0.00"
  total_weight: 0
  updated_at: 2023-04-24T14:19:30-04:00
  user_id: null
  billing_address: null
  customer: null
  discount_applications: []
  fulfillments: []
  line_items:
    -
      id: 1071823176
      admin_graphql_api_id: gid://retailandecommerce/LineItem/1071823176
      productCode: GC1060
      fulfillable_quantity: 3
      fulfillment_service: manual
      fulfillment_status: null
      gift_card: false
      grams: 1300
      name: Modern Striped Dress Shirt
      price: "74.99"
      price_set:
        shop_money:
          amount: "74.99"
          currency_code: EUR
        presentment_money:
          amount: "74.99"
          currency_code: EUR
      product_exists: false
      product_id: null
      properties: []
      quantity: 3
      requires_shipping: true
      sku: null
      taxable: true
      title: Big Brown Bear Boots
      total_discount: "0.00"
      total_discount_set:
        shop_money:
          amount: "0.00"
          currency_code: EUR
        presentment_money:
          amount: "0.00"
          currency_code: EUR
      variant_id: null
      variant_inventory_management: null
      variant_title: null
      vendor: null
      tax_lines:
        -
          channel_liable: null
          price: "13.50"
          price_set:
            shop_money:
              amount: "13.50"
              currency_code: EUR
            presentment_money:
              amount: "13.50"
              currency_code: EUR
          rate: 0.06
          title: State tax
      duties: []
      discount_allocations: []
  payment_terms: null
  refunds: []
  shipping_address: null
  shipping_lines: []
```

#### Responses

*   **201**
    
    Media type: `application/json`. Schema: `object`.
    
    *   `correlationId` (_string_, required) A unique ID corresponding to the request.
    *   `message` (_string_, required) The message indicating the order was placed successfully.
    
    _Example_
    
    ```
    correlationId: 4b15eb3a-a0ea-4ba2-9ba7-06e37d25b2a3
    message: Order acknowledged successfully
    ```
    
*   **400** Bad Request
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **405** Method Not Allowed
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **415** Un supported media type
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    

### POST Search, Inquire, Redeem and Accrue transactions

`POST /loyalty-integrations/restaurants/pos`

This is used to create pos

#### Parameters

*   `Transaction-Type` (header, string, required) Transaction type valid values are  
    Allowed values: `LOYALTY_SEARCH`, `LOYALTY_INQUIRE`, `LOYALTY_REDEEM`, `LOYALTY_ACCRUE`.
*   `Transaction-GUID` (header, string) Unique identifier that identifies transactions when making API requests.
*   `Authorization` (header, string, required) Alphanumeric token to authorize the request.

#### Request body

Media type: `application/json`. Schema: `transactions-request`.

_Example: loyalty-search_

```
transactionType: LOYALTY_SEARCH
searchTransactionInformation:
  searchCriteria:
    firstName: Greg
    lastName: ""
    email: ""
    phone: "14200000000"
```

_Example: loyatly-inquire_

```
transactionType: LOYALTY_INQUIRE
checkTransactionInformation:
  loyaltyIdentifier: "24345677"
  check:
    guid: 9d2dee33-7803-485a-a2b1-2c7538e597ee
    entityType: null
    paymentStatus: OPEN
    amount: 97.42
    taxExempt: false
    totalAmount: 103.51
    selections:
      -
        guid: 5e4fa4aa-4269-4383-9bbd-774591bbfb3c
        entityType: null
        externalId: null
        fulfillmentStatus: NEW
        item:
          guid: 5abf524e-31b5-4c1b-a797-7a44d888d071
          entityType: MenuItem
          externalId: "100000000100004071"
        quantity: 8
```

_Example: loyalty-redeem_

```
transactionType: LOYALTY_REDEEM
checkTransactionInformation:
  loyaltyIdentifier: "24345677"
  check:
    guid: 9c1opk33-7803-485a-a2b1-2c7538e597ee
    entityType: Check
    selections: []
  redemptions:
    -
      identifier: 0kDHu000000QiyqMAC_00000006_HLDY2002SEAS
      amount: 19.24
```

_Example: loyalty-accrue_

```
transactionType: LOYALTY_ACCRUE
searchTransactionInformation: null
checkTransactionInformation:
  loyaltyIdentifier: "24345677"
  check:
    guid: 9d2dee33-7803-485a-a2b1-2c7538e597ee
    entityType: Check
    externalId: null
    displayNumber: "183"
    payments:
      -
        guid: 8b251345-3cda-486e-91c9-cd760c6087c6
        entityType: OrderPayment
        houseAccount: null
        amount: 8
        tipAmount: 0
        amountTendered: 9
        type: CASH
        paidDate: 2019-04-08T21:16:46.738Z
        paymentStatus: CAPTURED
    paymentStatus: CLOSED
    amount: 8
    openedDate: 2023-11-21T08:16:45.862Z
    selections:
      -
        guid: c3283098-44c1-4712-866a-2b53cdc39w25
        entityType: MenuItemSelection
        externalId: null
        fulfillmentStatus: SENT
        selectionType: NONE
        price: 8
        quantity: 1
        item:
          guid: 859d3db8-9dd4-42ab-9f6a-374d09e27825
          entityType: MenuItem
          externalId: null
        createdDate: 2019-04-08T21:16:46.345Z
    closedDate: 2019-04-08T21:16:46.767Z
```

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `transactions-response`.
    
    _Example: loyalty-search_
    
    ```
    searchResponse:
      accounts:
        -
          identifier: "24345677"
          firstName: Greg
          lastName: Thompson
          phone: "14200000000"
          email: gregthompson@sfloyaltymanagementdemo.org
    transactionStatus: ACCEPT
    ```
    
    _Example: loyalty-inquire_
    
    ```
    checkResponse:
      accountInfo:
        identifier: "24345677"
        firstName: Greg
        lastName: Thompson
        email: gregthompson@sfloyaltymanagementdemo.org
      offers:
        -
          identifier: 0kDHu000000QiyqMAC_00000006_HLDY2002SEAS
          name: HLDY2002SEAS
          applicable: true
          selectionType: CHECK
          amount: 19.4840
          quantity: 1
          expiration:
            -
              date: 2023-12-21T00:00:00Z
              quantity: 1
          itemApplicable: []
      rejectedRedemptions: []
      appliedRedemptions: []
      userMessage: Visit https://salesforce.com for exciting offers!
    transactionStatus: ACCEPT
    ```
    
    _Example: loyalty-redeem_
    
    ```
    transactionStatus: ACCEPT
    checkResponse:
      accountInfo:
        identifier: "24345677"
        firstName: Greg
        lastName: Thompson
        email: gregthompson@sfloyaltymanagementdemo.org
      rejectedRedemptions: []
      appliedRedemptions:
        -
          amount: 19.24
          identifier: 0kDHu000000QiyqMAC_00000006_HLDY2002SEAS
          itemApplication: []
      userMessage: Login to your loyalty account for some exciting offers!
    ```
    
    _Example: loyalty-accrue_
    
    ```
    transactionStatus: ACCEPT
    ```
    
*   **400** Bad Request
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: ERROR_INVALID_TRANSACTION_TYPE
    ```
    
    _Example: invalid-account_
    
    ```
    transactionStatus: ERROR_ACCOUNT_INVALID
    ```
    
    _Example: invalid-token_
    
    ```
    transactionStatus: ERROR_INVALID_TOKEN
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal Server Error
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: ERROR_INVALID_TRANSACTION_TYPE
    ```
    
    _Example: invalid-account_
    
    ```
    transactionStatus: ERROR_ACCOUNT_INVALID
    ```
    
    _Example: invalid-token_
    
    ```
    transactionStatus: ERROR_INVALID_TOKEN
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal Server Error
    ```
    
*   **405** Method Not Allowed
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: ERROR_INVALID_TRANSACTION_TYPE
    ```
    
    _Example: invalid-account_
    
    ```
    transactionStatus: ERROR_ACCOUNT_INVALID
    ```
    
    _Example: invalid-token_
    
    ```
    transactionStatus: ERROR_INVALID_TOKEN
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal Server Error
    ```
    
*   **415** Un supported media type
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: ERROR_INVALID_TRANSACTION_TYPE
    ```
    
    _Example: invalid-account_
    
    ```
    transactionStatus: ERROR_ACCOUNT_INVALID
    ```
    
    _Example: invalid-token_
    
    ```
    transactionStatus: ERROR_INVALID_TOKEN
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal Server Error
    ```
    
*   **500** Internal Server Error
    
    Media type: `application/json`. Schema: `object`.
    
    *   `transactionStatus` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_) A short description of the error.
    
    _Example: invalid-toast-transaction-type_
    
    ```
    transactionStatus: ERROR_INVALID_TRANSACTION_TYPE
    ```
    
    _Example: invalid-account_
    
    ```
    transactionStatus: ERROR_ACCOUNT_INVALID
    ```
    
    _Example: invalid-token_
    
    ```
    transactionStatus: ERROR_INVALID_TOKEN
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    transactionStatus: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    transactionStatus: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    transactionStatus: ERROR
    message: Internal Server Error
    ```
    

### POST Get eligible promotions

`POST /global-promotions-management/get-eligible-promotions`

Retrieves list of eligible promotions based on the cart line item details.

#### Parameters

*   `Authorization` (header, string, required) Access token, which is used to make requests to secure resources.

#### Request body

Media type: `application/json`. Schema: `cart`.

_Example_

```
cart:
  cartDetails:
    -
      cartLineDetails:
        -
          cartLineProduct: Iphone 13
          cartLineProductCatalog: Electronics Devices
          cartLineItemQuantity: 1
          cartLineItemAmount: 59000
          cartLineProductCategory: cartLineProductCategory
          brand: Apple
      currencyISOCode: USD
      ProductCategoryId: ""
      ProductId: ""
      engagementChannelName: Facebook/Web/WhatsApp/Instagram/Twitter
      establishment: ""
      sourceLocation: WalmartRetailStore
      transactionLocation: HitechCity
      membershipNumber/emailId/contactNumber: LOYALTY00001
      activityStartDate: 2024-01-06T00:00:00Z
      journalDate: 2024-01-06T00:00:00Z
      externalTransactionNumber: P1-981951
      journalTypeName: Accrual
      voucherCode: ""
      status: Pending
    -
      cartLineDetails:
        -
          cartLineProduct: Iphone 14
          cartLineProductCatalog: Electronics Devices
          cartLineItemQuantity: 1
          cartLineItemAmount: 89000
          brand: Apple
        -
          cartLineProduct: Iphone 15
          cartLineProductCatalog: Electronics Devices
          cartLineItemQuantity: 1
          cartLineItemAmount: 159000
          brand: Apple
      currencyISOCode: USD
      engagementChannelName: Facebook/Web/WhatsApp/Instagram/Twitter
      establishment: ""
      sourceLocation: WalmartRetailStore
      transactionLocation: HitechCity
      membershipNumber/emailId/contactNumber: LOYALTY00001
      activityStartDate: 2024-01-06T00:00:00Z
      journalDate: 2024-01-06T00:00:00Z
      externalTransactionNumber: P1-981952
      journalTypeName: Accrual
      voucherCode: ""
      status: Pending
```

#### Responses

*   **200**
    
    Media type: `application/json`. Schema: `promotions`.
    
    _Example_
    
    ```
    -
      promotionName: Promo-001-Loyalty-Template
      promotionLimits: []
      promotionEligibleRules:
        -
          ruleRewards:
            -
              rewardType: AssignGame
              rewardDetails:
                gameType: SpintheWheel
                gameDefinitionName: Game-002
              outcomeType: nonPricingReward
            -
              rewardType: CreditFixedPoints
              rewardDetails:
                pointsExpiryDate: 2025-03-31
                points: "400.0"
                loyaltyProgramCurrencyName: NQP
              outcomeType: nonPricingReward
            -
              rewardType: ProvideDiscount
              rewardDetails:
                discountValue: "1.0"
                discountType: PercentageOff
                discountLevel: Line
                discountCategory: Soft Drinks
                discountAppliedAt: LineItem
              outcomeType: pricingReward
            -
              rewardType: IssueVoucher
              rewardDetails:
                voucherExpiryDate: 2025-03-27
                voucherDefinitionName: POSFixedVoucherDef
              outcomeType: nonPricingReward
            -
              rewardType: AssignBadge
              rewardDetails:
                loyaltyProgramBadgeName: Badge Test 1
              outcomeType: nonPricingReward
          rulePriority: 1
          ruleName: testSpendX
      promotionCode: Promo001LoyaltyTemplate
      priorityNumber: 23
      isPromotionAutomaticallyApplied: false
      doesPromotionUpdateCart: true
      displayName: Promo-001-Loyalty-Template
      currencyIsoCode: USD
      additionalPromotionFields: {}
    -
      promotionName: null
      promotionLimits: []
      promotionEligibleRules:
        -
          ruleRewards:
            -
              rewardType: CreditPoints
              rewardDetails:
                pointsExpiryDate: 2025-01-01
                points: "100.00"
                loyaltyProgramCurrencyName: NQP
              outcomeType: nonPricingReward
            -
              rewardType: IssueVoucher
              rewardDetails:
                voucherExpiryDate: 2025-02-02
                voucherDefinitionName: POSFixedVoucherDef
              outcomeType: nonPricingReward
            -
              rewardType: AssignBadgeToMember
              rewardDetails:
                loyaltyProgramBadgeName: Badge Test 1
              outcomeType: nonPricingReward
            -
              rewardType: AssignGame
              rewardDetails:
                gameType: SpintheWheel
                gameDefinitionName: Game-001
              outcomeType: nonPricingReward
          rulePriority: null
          ruleName: TestWithoutPromo
      promotionCode: null
      priorityNumber: null
      isPromotionAutomaticallyApplied: true
      doesPromotionUpdateCart: false
      displayName: null
      currencyIsoCode: USD
      additionalPromotionFields: {}
    -
      promotionName: TestPromoPOS
      promotionLimits: []
      promotionEligibleRules:
        -
          ruleRewards:
            -
              rewardType: CreditPoints
              rewardDetails:
                pointsExpiryDate: 2025-01-01
                points: "100.00"
                loyaltyProgramCurrencyName: NQP
              outcomeType: nonPricingReward
            -
              rewardType: AssignBadgeToMember
              rewardDetails:
                loyaltyProgramBadgeName: Badge Test 1
              outcomeType: nonPricingReward
            -
              rewardType: IssueVoucher
              rewardDetails:
                voucherExpiryDate: 2025-02-02
                voucherDefinitionName: POSFixedVoucherDef
              outcomeType: nonPricingReward
            -
              rewardType: AssignGame
              rewardDetails:
                gameType: SpintheWheel
                gameDefinitionName: Game-002
              outcomeType: nonPricingReward
          rulePriority: null
          ruleName: TestProcessRule
      promotionCode: PROMO0001
      priorityNumber: null
      isPromotionAutomaticallyApplied: true
      doesPromotionUpdateCart: false
      displayName: TestPromoPOS
      currencyIsoCode: USD
      additionalPromotionFields: {}
    ```
    
*   **400** Bad Request
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
*   **404** Resource not found
    
    Media type: `application/json`. Schema: `object`.
    
    *   `errorCode` (_string_, required) The error code corresponding to the error.
    *   `message` (_string_, required) A short description of the error.
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
    errorCode: INVALID_API_INPUT
    message: The membership number M123456789 is already taken. Specify a unique membership number and try again
    ```
    
    _Example_
    
    ```
    errorCode: NOT_FOUND
    message: Resource Not Found
    ```
    
    _Example_
    
    ```
    errorCode: NOT_ALLOWED
    message: Method Not Allowed
    ```
    
    _Example_
    
    ```
    errorCode: UNSUPPORTED_MEDIA_TYPE
    message: Media Type Not Supported
    ```
    
    _Example_
    
    ```
[...]
